Prepare ticket resolve flow
curl --request POST \
--url https://app.letsflow.ai/v1/tickets/{key}/actions/prepare_resolve \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.letsflow.ai/v1/tickets/{key}/actions/prepare_resolve"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.letsflow.ai/v1/tickets/{key}/actions/prepare_resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.letsflow.ai/v1/tickets/{key}/actions/prepare_resolve",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.letsflow.ai/v1/tickets/{key}/actions/prepare_resolve"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.letsflow.ai/v1/tickets/{key}/actions/prepare_resolve")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.letsflow.ai/v1/tickets/{key}/actions/prepare_resolve")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"resource": "ticket_resolve_preparation",
"ticket_key": "<string>",
"ticket_revision": 1,
"messages_content_digest": "<string>",
"resolution_note_draft": "<string>",
"draft_available": true,
"sync_requirements": [
{
"link_id": "<string>",
"system_kind": "<string>",
"provider_label": "<string>",
"fields": [
{
"external_field": "<string>",
"label": "<string>",
"value_source": "constant",
"required": true,
"default_value": "<string>",
"choices": [
{
"value": "<string>",
"label": "<string>"
}
]
}
]
}
]
},
"meta": {
"request_id": "<string>",
"correlation_id": "<string>",
"operation": "<string>",
"resource": "<string>"
}
}{
"type": "https://app.letsflow.ai/problems/access-grant-not-found",
"title": "<string>",
"status": 123,
"code": "access_grant_admin_extension_required",
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"correlation_id": "<string>",
"retryable": true,
"auth_failure_reason": "<string>",
"availability_reason": "capability_disabled",
"re_auth_required": true,
"violations": [
{
"field": "<string>",
"message": "<string>",
"capability": "<string>",
"details": {}
}
],
"diagnostics": [
{
"code": "<string>",
"severity": "info",
"message": "<string>",
"fixHint": "<string>",
"location": {
"file": "<string>",
"line": 2,
"column": 2,
"stepId": "<string>"
}
}
]
}Tickets
Prepare ticket resolve flow
Load AI-drafted resolution note text and outbound ticket-sync resolve field requirements before submitting a resolve action. Returns ticket_revision for optimistic concurrency on resolve. May return 409 ticket_resolution_blocked_by_pending_approval or generic_ticket_not_open when resolve is unavailable, and 409 stale_ticket_revision when the ticket changes during preparation.
POST
/
v1
/
tickets
/
{key}
/
actions
/
prepare_resolve
Prepare ticket resolve flow
curl --request POST \
--url https://app.letsflow.ai/v1/tickets/{key}/actions/prepare_resolve \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.letsflow.ai/v1/tickets/{key}/actions/prepare_resolve"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.letsflow.ai/v1/tickets/{key}/actions/prepare_resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.letsflow.ai/v1/tickets/{key}/actions/prepare_resolve",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.letsflow.ai/v1/tickets/{key}/actions/prepare_resolve"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.letsflow.ai/v1/tickets/{key}/actions/prepare_resolve")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.letsflow.ai/v1/tickets/{key}/actions/prepare_resolve")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"resource": "ticket_resolve_preparation",
"ticket_key": "<string>",
"ticket_revision": 1,
"messages_content_digest": "<string>",
"resolution_note_draft": "<string>",
"draft_available": true,
"sync_requirements": [
{
"link_id": "<string>",
"system_kind": "<string>",
"provider_label": "<string>",
"fields": [
{
"external_field": "<string>",
"label": "<string>",
"value_source": "constant",
"required": true,
"default_value": "<string>",
"choices": [
{
"value": "<string>",
"label": "<string>"
}
]
}
]
}
]
},
"meta": {
"request_id": "<string>",
"correlation_id": "<string>",
"operation": "<string>",
"resource": "<string>"
}
}{
"type": "https://app.letsflow.ai/problems/access-grant-not-found",
"title": "<string>",
"status": 123,
"code": "access_grant_admin_extension_required",
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"correlation_id": "<string>",
"retryable": true,
"auth_failure_reason": "<string>",
"availability_reason": "capability_disabled",
"re_auth_required": true,
"violations": [
{
"field": "<string>",
"message": "<string>",
"capability": "<string>",
"details": {}
}
],
"diagnostics": [
{
"code": "<string>",
"severity": "info",
"message": "<string>",
"fixHint": "<string>",
"location": {
"file": "<string>",
"line": 2,
"column": 2,
"stepId": "<string>"
}
}
]
}Authorizations
OAuth Bearer access tokens or Flow API keys with the required Flow scope families for the route.
Path Parameters
Org-scoped human ticket key (for example PLAT-1). Internal ticket UUIDs are not valid path values.